PLplot: plmap.c File Reference

PLplot 5.15.0

Macros | Functions
plmap.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | DEBUG
#define | NEED_PLDEBUG
#define | NSEG 100

## Functions
void | plmap (PLMAPFORM_callback mapform, PLCHAR_VECTOR name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy)
void | plmapline (PLMAPFORM_callback mapform, PLCHAR_VECTOR name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT_VECTOR plotentries, PLINT nplotentries)
void | plmapstring (PLMAPFORM_callback mapform, PLCHAR_VECTOR name, PLCHAR_VECTOR string, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT_VECTOR plotentries, PLINT nplotentries)
void | plmaptex (PLMAPFORM_callback mapform, PLCHAR_VECTOR name, PLFLT dx, PLFLT dy, PLFLT just, PLCHAR_VECTOR text, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT plotentry)
void | plmapfill (PLMAPFORM_callback mapform, PLCHAR_VECTOR name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT_VECTOR plotentries, PLINT nplotentries)
void | plmeridians (PLMAPFORM_callback mapform, PLFLT dlong, PLFLT dlat, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)

## Macro Definition Documentation

## ◆ DEBUG

#define DEBUG

Definition at line 40 of file plmap.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 41 of file plmap.c.

## ◆ NSEG

#define NSEG 100

Definition at line 705 of file plmap.c.

## Function Documentation

## ◆ plmap()

void plmap | ( | PLMAPFORM_callback | mapform,
|  | PLCHAR_VECTOR | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy
| ) |  |

Definition at line 565 of file plmap.c.

## ◆ plmapfill()

void plmapfill | ( | PLMAPFORM_callback | mapform,
|  | PLCHAR_VECTOR | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | PLINT_VECTOR | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 661 of file plmap.c.

## ◆ plmapline()

void plmapline | ( | PLMAPFORM_callback | mapform,
|  | PLCHAR_VECTOR | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | PLINT_VECTOR | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 594 of file plmap.c.

## ◆ plmapstring()

void plmapstring | ( | PLMAPFORM_callback | mapform,
|  | PLCHAR_VECTOR | name,
|  | PLCHAR_VECTOR | string,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | PLINT_VECTOR | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 616 of file plmap.c.

## ◆ plmaptex()

void plmaptex | ( | PLMAPFORM_callback | mapform,
|  | PLCHAR_VECTOR | name,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | just,
|  | PLCHAR_VECTOR | text,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | PLINT | plotentry
| ) |  |

Definition at line 639 of file plmap.c.

## ◆ plmeridians()

void plmeridians | ( | PLMAPFORM_callback | mapform,
|  | PLFLT | dlong,
|  | PLFLT | dlat,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

Definition at line 708 of file plmap.c.